Package com.xebialabs.xlrelease.domain.events

# Class ClusterNodeStartEvent$

java.lang.Object
scala.runtime.AbstractFunction0<ClusterNodeStartEvent>
com.xebialabs.xlrelease.domain.events.ClusterNodeStartEvent$

All Implemented Interfaces:
  `Serializable`, `scala.Function0<ClusterNodeStartEvent>`

public class ClusterNodeStartEvent$ extends scala.runtime.AbstractFunction0<ClusterNodeStartEvent> implements Serializable

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final ClusterNodeStartEvent$`
  `MODULE$`
  Static reference to the singleton instance of this Scala object.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClusterNodeStartEvent$()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ClusterNodeStartEvent`
  `apply()`
  `final String`
  `toString()`
  `boolean`
  `unapply(ClusterNodeStartEvent x$0)`

  ### Methods inherited from class scala.runtime.AbstractFunction0

  `apply$mcB$sp, apply$mcC$sp, apply$mcD$sp, apply$mcF$sp, apply$mcI$sp, apply$mcJ$sp, apply$mcS$sp, apply$mcV$sp, apply$mcZ$sp`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### MODULE$

    public static final ClusterNodeStartEvent$ MODULE$
    Static reference to the singleton instance of this Scala object.

- ## Constructor Details

  - ### ClusterNodeStartEvent$

    public ClusterNodeStartEvent$()

- ## Method Details

  - ### toString

    public final String toString()
    Specified by:
      `toString` in interface `scala.Function0<ClusterNodeStartEvent>`
    Overrides:
      `toString` in class `scala.runtime.AbstractFunction0<ClusterNodeStartEvent>`

  - ### apply

    public ClusterNodeStartEvent apply()
    Specified by:
      `apply` in interface `scala.Function0<ClusterNodeStartEvent>`

  - ### unapply

    public boolean unapply(ClusterNodeStartEvent x$0)